<?php
class DTBridge extends BridgeAbstract {
	const NAME = 'Дзеркало тижня :: Статті';
	const URI = 'https://dt.ua';
	const DESCRIPTION = 'Collect texts from dt.ua';
	const MAINTAINER = 'pfactum';

	public function collectData() {
		$mainpage = "https://zn.ua";
		$src = $mainpage . "/ukr/articles";

		$dom = getSimpleHTMLDOM($src);
		$dom = defaultLinkTo($dom, $mainpage);

		foreach ($dom->find('div.content-tile') as $article) {
			$uri = $article->find('div.content-tile__text a.content-tile__link.sunsite_action', 0);
			if (is_null($uri))
				continue;
			$uri = $uri->href;

			$content_dom = getSimpleHTMLDOMCached($uri);
			$content_dom = defaultLinkTo($content_dom, $mainpage);
			$content_json = json_decode($content_dom->find('html head script', 0)->innertext);
			if (is_null($content_json))
				continue;

			$title = $content_json->headline;
			$author = $content_json->author[0]->name;
			$timestamp = $content_json->datePublished;
			$content = $content_json->description;

			$images = array();
			$images[] = $content_json->image->url;

			$uid = $content_json->mainEntityOfPage->{"@id"};

			$item = array();

			$item['title'] = $title;
			$item['uri'] = $uri;
			$item['timestamp'] = $timestamp;
			$item['author'] = $author;
			$item['content'] = $content;
			$item['enclosures'] = $images;
			$item['uid'] = $uid;

			$this->items[] = $item;
		}
	}
}
